## sandbox-upgrader 0.1+bzr20080818-0ubuntu3

=== Makefile ===

BINDIR=$(DESTDIR)/usr/bin/
TARGETDIR=$(DESTDIR)/usr/share/sandbox-upgrader
VARDIR=$(DESTDIR)/var/lib/sandbox-upgrader

install:
	# bin
	install -d $(BINDIR)
	for f in sandbox-clone-to-vm sandbox-test-upgrade; do \
		install -m 755 $$f $(BINDIR); \
	done;
	# helpers
	install -d $(TARGETDIR)
	install -d $(VARDIR)
	install -d $(VARDIR)/ssh
	install -d $(VARDIR)/result
	install -m 755 helper/clone-helper.sh $(TARGETDIR)
	install -m 644 helper/xorg.conf $(TARGETDIR)

## sandbox-upgrader 0.1%2Bbzr20080818-0ubuntu3

=== debian/control ===
Source: sandbox-upgrader
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.51)
Standards-Version: 3.8.0
Vcs-Bzr: http://code.launchpad.net/~mvo/sandbox-upgrader/main

Package: sandbox-upgrader
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-vm-builder, qemu-system (>= 1.3.0) | kvm (>= 1:70)
Conflicts: ubuntu-vm-builder (= 0.4-0ubuntu3)
Description:  sandbox upgrade test creation tools
 This package contains helper scripts that can perform a test upgrade
 in a virtual machine to help testing upgrade procedure.

## sandbox-upgrader 0.1+bzr20080818-0ubuntu1

=== debian/changelog ===
sandbox-upgrader (0.1+bzr20080818-0ubuntu1) intrepid; urgency=low

  * run ssh/rm with -v
  * bigger timeout in wait_for_kvm to avoid possible race
  * fix hang on successfull test upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Sep 2008 19:58:20 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu2~ppa1) hardy; urgency=low

  * upload into my hardy PPA

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 16 Aug 2008 00:33:48 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu2) intrepid; urgency=low

  * add missing depends on ubuntu-vm-builder
  * update the dependency of kvm to (>= 1:0.70) to make sure
    we get fast virtio networking (this is also in the hardy ppa)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 16 Aug 2008 00:28:21 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu1) intrepid; urgency=low

  * initial upload to intrepid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 15 Aug 2008 22:36:12 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu1~ppa5) hardy; urgency=low

  * remove -snapshot from kvm default options

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Aug 2008 18:49:49 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu1~ppa4) hardy; urgency=low

  * build the filesystem image in the current dir instead of the
    /tmp by default to support running it on system with little
    space left in "/"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Aug 2008 13:56:23 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu1~ppa3) hardy; urgency=low

  * fix thinko in upgrade failed code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Aug 2008 13:52:48 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu1~ppa2) hardy; urgency=low

  * fix result copying if the upgrade is not successful

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Aug 2008 13:10:24 +0200

sandbox-upgrader (0.1+bzr20080806-0ubuntu1~ppa1) hardy; urgency=low

  * add the ability to use a existing cloned dir

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 06 Aug 2008 10:16:27 +0200

sandbox-upgrader (0.1+bzr20080805-0ubuntu1~ppa2) hardy; urgency=low

  * be more FHS friendly

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 20:48:19 +0200

sandbox-upgrader (0.1+bzr20080805-0ubuntu1~ppa1) hardy; urgency=low

  * default to 384M virtual ram
  * add conflicts against ubuntu-vm-builder (= 0.4-0ubuntu0.3)
    (this version is broken, see #254966)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 05 Aug 2008 14:19:38 +0200

sandbox-upgrader (0.1+bzr20080724-0ubuntu1) intrepid; urgency=low

  * initial releasae

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Jul 2008 10:29:17 +0200

=== debian/control ===
Source: sandbox-upgrader
Section: admin
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 5.0.51), python-central
Standards-Version: 3.8.0
Vcs-Bzr: http://code.launchpad.net/~mvo/sandbox-upgrader/main

Package: sandbox-upgrader
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-vm-builder, kvm (>= 1:70)
Conflicts: ubuntu-vm-builder (= 0.4-0ubuntu3)
Description:  sandbox upgrade test creation tools
 This package contains helper scripts that can perform a test upgrade
 in a virtual machine to help testing upgrade procedure.

## sandbox-upgrader 0.1+bzr20080818-0ubuntu2

=== debian/changelog ===
sandbox-upgrader (0.1+bzr20080818-0ubuntu2) raring; urgency=low

  * Allow a dependency on qemu-system as the kvm package is deprecated.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 19 Jan 2013 07:02:59 -0700

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: sandbox-upgrader
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-vm-builder, kvm (>= 1:70)
+Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-vm-builder, qemu-system (>= 1.3.0) | kvm (>= 1:70)
 Conflicts: ubuntu-vm-builder (= 0.4-0ubuntu3)
 Description:  sandbox upgrade test creation tools
  This package contains helper scripts that can perform a test upgrade

## sandbox-upgrader 0.1+bzr20080818-0ubuntu3

=== debian/changelog ===
sandbox-upgrader (0.1+bzr20080818-0ubuntu3) trusty; urgency=medium

  * Drop python-central build-dependency, no python present.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 26 Jan 2014 23:05:25 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


build: build-stamp

build-stamp: 
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make install DESTDIR=$(CURDIR)/debian/sandbox-upgrader


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
